TlbCoClass (JNA API)

com.sun.jna.platform.win32.COM.tlb.imp

## Class TlbCoClass

- java.lang.Object
- - com.sun.jna.platform.win32.COM.tlb.imp.TlbBase
  - - com.sun.jna.platform.win32.COM.tlb.imp.TlbCoClass

-     public class TlbCoClass
      extends TlbBase

  The Class TlbClass.
  Author:
    Tobias Wolf, wolf.tobias@gmx.net

- - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.COM.tlb.imp.TlbBase

      `bindingMode, classBuffer, content, CR, CRCR, filename, IDISPATCH_METHODS, index, IUNKNOWN_METHODS, name, TAB, TABTAB, templateBuffer, typeInfoUtil, typeLibUtil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TlbCoClass(int index, java.lang.String packagename, TypeLibUtil typeLibUtil, java.lang.String bindingMode)` Instantiates a new tlb class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createCLSID(java.lang.String clsid)`
    `protected void` | `createCLSIDName(java.lang.String clsidName)`
    `protected void` | `createFunctions(TypeInfoUtil typeInfoUtil, java.lang.String bindingMode)`
    `protected void` | `createInterfaces(java.lang.String interfaces)`
    `protected void` | `createJavaDocHeader(java.lang.String guid, java.lang.String version, java.lang.String helpstring)`
    `protected java.lang.String` | `getClassTemplate()` Gets the class template.

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.tlb.imp.TlbBase

      `createClassName, createContent, createPackageName, getClassBuffer, getFilename, getName, isDispIdMode, isReservedMethod, isVTableMode, log, logError, logInfo, readTemplateFile, replaceVariable, setFilename, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TlbCoClass

          public TlbCoClass(int index,
                            java.lang.String packagename,
                            TypeLibUtil typeLibUtil,
                            java.lang.String bindingMode)

      Instantiates a new tlb class.
      Parameters:
        `index` - the index
        `typeLibUtil` - the type lib util

  - ### Method Detail

    - #### createFunctions

          protected void createFunctions(TypeInfoUtil typeInfoUtil,
                                         java.lang.String bindingMode)

    - #### createJavaDocHeader

          protected void createJavaDocHeader(java.lang.String guid,
                                             java.lang.String version,
                                             java.lang.String helpstring)

    - #### createCLSIDName

          protected void createCLSIDName(java.lang.String clsidName)

    - #### createCLSID

          protected void createCLSID(java.lang.String clsid)

    - #### createInterfaces

          protected void createInterfaces(java.lang.String interfaces)

    - #### getClassTemplate

          protected java.lang.String getClassTemplate()

      Description copied from class: `TlbBase`
      Gets the class template.
      Specified by:
        `getClassTemplate` in class `TlbBase`
      Returns:
        the class template

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.